Package io.milvus.param

## Class RpcStatus

- java.lang.Object
- - io.milvus.param.RpcStatus

-     public class RpcStatus
      extends java.lang.Object

  Utility class to wrap a message.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SUCCESS_MSG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RpcStatus​(java.lang.String msg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMsg()` |
    `java.lang.String` | `toString()` | Constructs a `String` by `RpcStatus` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS_MSG

          public static final java.lang.String SUCCESS_MSG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RpcStatus

          public RpcStatus​(java.lang.String msg)

  - ### Method Detail

    - #### getMsg

          public java.lang.String getMsg()

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `RpcStatus` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`